Page MenuHomePhabricator

Flickr option tends to reappear despite not having flickr import rights
Closed, ResolvedPublic2 Story Points

Description

  • go to commons without flickr import rights
  • upload a file
  • remove it
  • flickr import button incorrectly appears, and actually provides the flickr UI
  • the user can be tempted to import from flickr, and will get blocked after providing a URL with the very cryptic "permissiondenied" error message

While you're at it, please also check whether the buttons behave correctly when going back to step 1 after fully uploading a file.

Event Timeline

Gilles created this task.Feb 9 2015, 6:14 PM
Gilles assigned this task to MarkTraceur.
Gilles raised the priority of this task from to High.
Gilles updated the task description. (Show Details)
Gilles added projects: Multimedia, UploadWizard.
Gilles added subscribers: Gilles, Aklapper.
Gilles moved this task from Untriaged to Next up on the Multimedia board.Feb 11 2015, 1:05 PM
Gilles claimed this task.Mar 12 2015, 12:04 PM
Gilles added a subscriber: MarkTraceur.
Gilles set Security to None.Mar 13 2015, 10:19 AM
Gilles edited a custom field.

Change 196557 had a related patch set uploaded (by Gilles):
Fix flickr import button visibility

https://gerrit.wikimedia.org/r/196557

Steinsplitter moved this task from Incoming to Uploading on the Commons board.Mar 13 2015, 6:40 PM

Change 196557 merged by jenkins-bot:
Fix flickr import button visibility

https://gerrit.wikimedia.org/r/196557

It seems like everybody has flickr upload rights on commons beta as well as testwiki, we'll have to wait until this is live in production to confirm the fix.

It seems like everybody has flickr upload rights on commons beta as well as testwiki, we'll have to wait until this is live in production to confirm the fix.

upload_by_url is restricted on commons (for what i see on Special:UserGroupRights).

Upload wizard has a security issue (review process) and therefore Flickr upload should not be enabled for all users until the bug is fixed.

Gilles moved this task from Next up to Untriaged on the Multimedia board.Mar 23 2015, 8:55 AM
Gilles closed this task as Resolved.Mar 25 2015, 3:06 PM

Verified in production